﻿@model HOD.Models.UserMessageModel
@{
    ViewBag.Title = "User Messages";
    Layout = "~/Views/Shared/_SecuredPagesLayout.cshtml";
}


<div class="panel panel-default" style="padding: 4px;">
    <div class="panel-heading">
        <h3 class="panel-title">Messages</h3>
    </div>

    <div class="panel-body" style="background-color: #ffffff">

  <div >  
    <table class="table table-condensed">
      <thead>
        <tr>
          <th>Date</th>
            <th>To</th>
          <th>From</th>
          <th>Subject</th>
          <th>Read</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
    @if (Model.Conversations != null && Model.Conversations.Count > 0)
    {
        foreach (var item in Model.Conversations)
        {
            if(item.MessageRead)
            {
            <tr  class="success">
                <td>
                    @Html.DisplayFor(modelItem => item.MessageDate)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ToUser)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.FromUserName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Subject)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.MessageRead)
                </td>
                <td>
                    @Html.ActionLink("Read Message", "Conversation", new { id = item.MessageId })
                </td>
            </tr>
    }
    else
    {
                <tr class="info">
                <td>
                    @Html.DisplayFor(modelItem => item.MessageDate)
                </td>
                    <td>
                    @Html.DisplayFor(modelItem => item.ToUser)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.FromUserName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Subject)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.MessageRead)
                </td>
                <td>
                    @Html.ActionLink("Read Message", "Conversation", new { id = item.MessageId })
                </td>
            </tr>
            }
        }
    }
      </tbody>
    </table>
  </div><!-- /example -->

        </div>
    </div>
